KFIFO_FROM_USER(9)

NAME
kfifo_from_user - puts some data from user space into the fifo

SYNOPSIS

kfifo_from_user(fifo, from, len, copied);

ARGUMENTS

fifo
    address of the fifo to be used

from
    pointer to the data to be added

len
    the length of the data to be added

copied
    pointer to output variable to store the number of copied bytes

DESCRIPTION

This macro copies at most len bytes from the from into the fifo, depending of the available space and returns -EFAULT/0.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macro.

COPYRIGHT